Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.services.schedule
Interface ScheduleService

All Superinterfaces:
  Initable, Service

All Known Implementing Classes:
  TurbineNonPersistentSchedulerService, TurbineSchedulerService

    public interface ScheduleService

extends Service

ScheduleService interface.

Version:
  $Id: ScheduleService.java 1066938 2011-02-03 20:14:53Z ludwig $
Author:
  Dave Bryson, Quinton McCombs

Field Summary
`static String` | `INTIALLY_ACTIVE` TR.props key for intially activating the scheduler thread
`static String` | `LOGGER_NAME` TR.props key for the logger
`static String` | `SERVICE_NAME` Name of service

Method Summary
`void` | `addJob(JobEntry je)` Add a new job to the queue.
`JobEntry` | `getJob(int oid)` Get a specific Job from Storage.
`boolean` | `isEnabled()` Determines if the scheduler service is currently active.
`List<JobEntry>` | `listJobs()` List jobs in the queue.
`void` | `removeJob(JobEntry je)` Remove a job from the queue.
`void` | `startScheduler()` Starts the scheduler if not already running.
`void` | `stopScheduler()` Stops the scheduler if ti is currently running.
`void` | `updateJob(JobEntry je)` Modify a Job.

Methods inherited from interface org.apache.turbine.services.Service
`getConfiguration, getName, getProperties, setName, setServiceBroker`

Methods inherited from interface org.apache.turbine.services.Initable
`getInit, init, init, setInitableBroker, shutdown`

Field Detail

### SERVICE_NAME

    static final String SERVICE_NAME

  Name of service

  See Also:
    Constant Field Values

### INTIALLY_ACTIVE

    static final String INTIALLY_ACTIVE

  TR.props key for intially activating the scheduler thread

  See Also:
    Constant Field Values

### LOGGER_NAME

    static final String LOGGER_NAME

  TR.props key for the logger

  See Also:
    Constant Field Values

Method Detail

### getJob

    JobEntry getJob(int oid)
                    throws TurbineException

  Get a specific Job from Storage.

  Parameters:
    `oid` - The int id for the job.
  Returns:
    A JobEntry.
  Throws:
    `TurbineException` - could not retreive job

### addJob

    void addJob(JobEntry je)
                throws TurbineException

  Add a new job to the queue.

  Parameters:
    `je` - A JobEntry with the job to add.
  Throws:
    `TurbineException` - job could not be added

### updateJob

    void updateJob(JobEntry je)
                   throws TurbineException

  Modify a Job.

  Parameters:
    `je` - A JobEntry with the job to modify
  Throws:
    `TurbineException` - job could not be updated

### removeJob

    void removeJob(JobEntry je)
                   throws TurbineException

  Remove a job from the queue.

  Parameters:
    `je` - A JobEntry with the job to remove.
  Throws:
    `TurbineException` - job could not be removed

### listJobs

    List<JobEntry> listJobs()

  List jobs in the queue. This is used by the scheduler UI.

  Returns:
    A List of jobs.

### isEnabled

    boolean isEnabled()

  Determines if the scheduler service is currently active.

  Returns:
    Status of the scheduler service.

### startScheduler

    void startScheduler()

  Starts the scheduler if not already running.

### stopScheduler

    void stopScheduler()

  Stops the scheduler if ti is currently running.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.